Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 797724 - dev-python/adblock-0.4.4 does not respect CFLAGS/LDFLAGS
Summary: dev-python/adblock-0.4.4 does not respect CFLAGS/LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Stefan Strogin
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: cflags ldflags
  Show dependency tree
 
Reported: 2021-06-23 06:28 UTC by Agostino Sarubbo
Modified: 2021-07-18 15:08 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,106.06 KB, text/plain)
2021-06-23 06:28 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-06-23 06:28:09 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-python/adblock-0.4.4 does not respect CFLAGS/LDFLAGS.
Discovered on: amd64 (internal ref: ci)

NOTE:
This machine uses GCC-11: https://gcc.gnu.org/gcc-11/porting_to.html
To reproduce this issue you may want to add "-frecord-gcc-switches" to CFLAGS/CXXFLAGS/FFLAGS/FCFLAGS and LDFLAGS="${LDFLAGS} -Wl,--defsym=__gentoo_check_ldflags__=0". If this is not something about c/c++ see this bug as an hint to hide the QA warning (with QA_FLAGS_IGNORED) where is not possible to respect CFLAGS/LDFLAGS.
Comment 1 Agostino Sarubbo gentoo-dev 2021-06-23 06:28:12 UTC
Created attachment 717822 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2021-07-18 15:08:40 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75434b7ec4d23e3de491e7cd1224df477815801d

commit 75434b7ec4d23e3de491e7cd1224df477815801d
Author:     Stefan Strogin <steils@gentoo.org>
AuthorDate: 2021-07-18 15:07:44 +0000
Commit:     Stefan Strogin <steils@gentoo.org>
CommitDate: 2021-07-18 15:08:15 +0000

    dev-python/adblock: upgrade to 0.5.0
    
    Closes: https://bugs.gentoo.org/797724
    Package-Manager: Portage-3.0.20, Repoman-3.0.3
    Signed-off-by: Stefan Strogin <steils@gentoo.org>

 dev-python/adblock/Manifest             |   7 ++
 dev-python/adblock/adblock-0.5.0.ebuild | 113 ++++++++++++++++++++++++++++++++
 2 files changed, 120 insertions(+)